#!/bin/sh

# Set up default variable values if not supplied by the user.

# Adjust the following two variables to match your environment
# where the HDFView is installed, e.g. /home/user1/hdfview
HDFJAVA="/usr/share/java"
export HDFJAVA

# where Java is installed (requires jdk1.4.x or above), e.g. /usr/jdk1.4.2/bin
JAVABIN=/usr/lib64/jvm/java/bin
export JAVABIN

###############################################################################
#            DO NOT MODIFY BELOW THIS LINE
###############################################################################

CPATH="$HDFJAVA/jhdf.jar:$HDFJAVA/jhdf5.jar:$HDFJAVA/jhdfobj.jar"
CPATH="$CPATH:$HDFJAVA/netcdf.jar:$HDFJAVA/fits.jar"
CPATH="$CPATH:$HDFJAVA/jhdf4obj.jar:$HDFJAVA/jhdf5obj.jar:$HDFJAVA/jhdfview.jar"
CPATH="$CPATH:$HDFJAVA/fitsobj.jar:$HDFJAVA/nc2obj.jar"

TEST=/usr/bin/test
if [ ! -x /usr/bin/test ] 
then
TEST=`which test`
fi

if [ ! -d \$JAVABIN ]; then
    JAVALOC=`which java`
    LASTSLASH=`perl -e "print rindex(\"${JAVALOC}\", '/')"`
    JAVABIN=`perl -e "print substr(\"${JAVALOC}\", 0, $LASTSLASH)"`
fi

if $TEST -z "$CLASSPATH"; then
	CLASSPATH=""
fi
CLASSPATH=$CPATH":"$CLASSPATH
export CLASSPATH

if $TEST -n "$JAVABIN" ; then
	PATH=$JAVABIN":"$PATH
	export PATH
fi


if $TEST -e /bin/uname; then
   os_name=`/bin/uname -s`
elif $TEST -e /usr/bin/uname; then
   os_name=`/usr/bin/uname -s`
else
   os_name=unknown
fi

if $TEST -z "$LD_LIBRARY_PATH" ; then
        LD_LIBRARY_PATH=""
fi

case  $os_name in
    SunOS)
	LD_LIBRARY_PATH=$HDFJAVA/lib/solaris:$HDFJAVA/lib/ext:$LD_LIBRARY_PATH
	;;
    Linux)
	;;
    IRIX*)
	OSREV=`/bin/uname -r`
	LD_LIBRARY_PATH=$HDFJAVA"/lib/irix-6.5:"$HDFJAVA"/lib/ext:"$LD_LIBRARY_PATH 
	LD_LIBRARYN32_PATH=$HDFJAVA"/lib/irix-6.5:"$HDFJAVA"/lib/ext":$LD_LIBRARY_PATH
	export LD_LIBRARYN32_PATH
	;;
    OSF1)
	LD_LIBRARY_PATH=$HDFJAVA"/lib/alpha:"$HDFJAVA"/lib/ext:"$LD_LIBRARY_PATH
	;;
    AIX)
	LD_LIBRARY_PATH=$HDFJAVA"/lib/aix:"$HDFJAVA"/lib/ext:"$LD_LIBRARY_PATH
	;;
    Darwin)
	DYLD_LIBRARY_PATH=$HDFJAVA"/lib/macosx:"$HDFJAVA"/lib/ext:"$DYLD_LIBRARY_PATH
	export DYLD_LIBRARY_PATH
	LD_LIBRARY_PATH=$DYLD_LIBRARY_PATH
	;;
    FreeBSD)
	LD_LIBRARY_PATH=$HDFJAVA"/lib/freebsd:"$HDFJAVA"/lib/ext:"$LD_LIBRARY_PATH
	;;
    *)
	echo "Unknown Operating System:  HDFView may not work correctly"
        ;;
esac

export LD_LIBRARY_PATH

$JAVABIN/java  ncsa.hdf.view.HDFView -root $HDFJAVA $*
